#
#	Copyright (c) 1989-1992 Citadel Software, Inc.
#	All Rights Reserved
#

# unix.mak	1.5 - 93/01/01

# manx makefile

CC	= cc#		# C compiler
CFLAGS	= -O#		# C compiler options
BINDIR	= /usr/bin#	# bin directory
LINT	= lint -b -p#	# lint command and options
PROGRAM	= manx#		# program name
MAN	= $(PROGRAM).man# manual file

FILES =	makefile   ansi.h     $(PROGRAM).c
SRCS  =	$(PROGRAM).c
OBJS  =	$(SRCS:.c=.o)
MANS  =	$(PROGRAM).c

all:	$(PROGRAM) install man

$(PROGRAM):

install:
	@if test -s $(BINDIR)/$(PROGRAM) = 0;			\
	then							\
		echo $(BINDIR)/$(PROGRAM) exists\.;		\
		echo -n "Do you wish to copy over it? ";	\
		read response;					\
		case $$response in				\
		y | Y | yes | YES | Yes)	;;		\
		*) exit 1			;;		\
		esac						\
	fi;							\
	cp $(PROGRAM) $(BINDIR)/$(PROGRAM)
	@echo $(PROGRAM) installed.

lint:
	$(LINT) $(SRCS)

man:	$(MAN)

$(MAN):	$(MANS)
	cat $(MANS) | manx > $@

clean:
	rm $(PROGRAM)
	rm *.o
	rm *.man

# eof
